# Class SeekableRangesChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - SeekableRangesChangedEvent

#####
Index

### Constructors

constructor

### Properties

seekableRanges
type

## Constructors

### constructor

- new SeekableRangesChangedEvent(seekableRanges): SeekableRangesChangedEvent

- #### Parameters

  - seekableRanges: PlayerTimeRange[]

  #### Returns SeekableRangesChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` seekableRanges

seekableRanges: PlayerTimeRange[]

### `Readonly` type

type: "seekablerangeschanged" = Events.SeekableRangesChanged

Overrides BasePlayerEvent.type